| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::OdometrySettings Class Reference

`#include <opencv2/3d/odometry_settings.hpp>`

Collaboration diagram for cv::OdometrySettings:

## Public Member Functions
| OdometrySettings ()
| OdometrySettings (const OdometrySettings &)
| ~OdometrySettings ()
float | getAngleThreshold () const
void | getCameraMatrix (OutputArray val) const
void | getIterCounts (OutputArray val) const
float | getMaxDepth () const
float | getMaxDepthDiff () const
float | getMaxPointsPart () const
float | getMaxRotation () const
float | getMaxTranslation () const
float | getMinDepth () const
float | getMinGradientMagnitude () const
void | getMinGradientMagnitudes (OutputArray val) const
float | getNormalDiffThreshold () const
RgbdNormals::RgbdNormalsMethod | getNormalMethod () const
int | getNormalWinSize () const
double | getSobelScale () const
int | getSobelSize () const
OdometrySettings & | operator= (const OdometrySettings &)
void | setAngleThreshold (float val)
void | setCameraMatrix (InputArray val)
void | setIterCounts (InputArray val)
void | setMaxDepth (float val)
void | setMaxDepthDiff (float val)
void | setMaxPointsPart (float val)
void | setMaxRotation (float val)
void | setMaxTranslation (float val)
void | setMinDepth (float val)
void | setMinGradientMagnitude (float val)
void | setMinGradientMagnitudes (InputArray val)
void | setNormalDiffThreshold (float val)
void | setNormalMethod (RgbdNormals::RgbdNormalsMethod nm)
void | setNormalWinSize (int val)
void | setSobelScale (double val)
void | setSobelSize (int val)

## Constructor & Destructor Documentation

## ◆ OdometrySettings() [1/2]

cv::OdometrySettings::OdometrySettings | ( |  | ) |

Python:
| cv.OdometrySettings( |  | ) -> | <OdometrySettings object>

## ◆ OdometrySettings() [2/2]

cv::OdometrySettings::OdometrySettings | ( | const OdometrySettings & |  | ) |

Python:
| cv.OdometrySettings( |  | ) -> | <OdometrySettings object>

## ◆ ~OdometrySettings()

cv::OdometrySettings::~OdometrySettings | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getAngleThreshold()

float cv::OdometrySettings::getAngleThreshold | ( |  | ) | const

Python:
| cv.OdometrySettings.getAngleThreshold( |  | ) -> | retval

## ◆ getCameraMatrix()

void cv::OdometrySettings::getCameraMatrix | ( | OutputArray | val | ) | const

Python:
| cv.OdometrySettings.getCameraMatrix( | [, val] | ) -> | val

## ◆ getIterCounts()

void cv::OdometrySettings::getIterCounts | ( | OutputArray | val | ) | const

Python:
| cv.OdometrySettings.getIterCounts( | [, val] | ) -> | val

## ◆ getMaxDepth()

float cv::OdometrySettings::getMaxDepth | ( |  | ) | const

Python:
| cv.OdometrySettings.getMaxDepth( |  | ) -> | retval

## ◆ getMaxDepthDiff()

float cv::OdometrySettings::getMaxDepthDiff | ( |  | ) | const

Python:
| cv.OdometrySettings.getMaxDepthDiff( |  | ) -> | retval

## ◆ getMaxPointsPart()

float cv::OdometrySettings::getMaxPointsPart | ( |  | ) | const

Python:
| cv.OdometrySettings.getMaxPointsPart( |  | ) -> | retval

## ◆ getMaxRotation()

float cv::OdometrySettings::getMaxRotation | ( |  | ) | const

Python:
| cv.OdometrySettings.getMaxRotation( |  | ) -> | retval

## ◆ getMaxTranslation()

float cv::OdometrySettings::getMaxTranslation | ( |  | ) | const

Python:
| cv.OdometrySettings.getMaxTranslation( |  | ) -> | retval

## ◆ getMinDepth()

float cv::OdometrySettings::getMinDepth | ( |  | ) | const

Python:
| cv.OdometrySettings.getMinDepth( |  | ) -> | retval

## ◆ getMinGradientMagnitude()

float cv::OdometrySettings::getMinGradientMagnitude | ( |  | ) | const

Python:
| cv.OdometrySettings.getMinGradientMagnitude( |  | ) -> | retval

## ◆ getMinGradientMagnitudes()

void cv::OdometrySettings::getMinGradientMagnitudes | ( | OutputArray | val | ) | const

Python:
| cv.OdometrySettings.getMinGradientMagnitudes( | [, val] | ) -> | val

## ◆ getNormalDiffThreshold()

float cv::OdometrySettings::getNormalDiffThreshold | ( |  | ) | const

Python:
| cv.OdometrySettings.getNormalDiffThreshold( |  | ) -> | retval

## ◆ getNormalMethod()

RgbdNormals::RgbdNormalsMethod cv::OdometrySettings::getNormalMethod | ( |  | ) | const

Python:
| cv.OdometrySettings.getNormalMethod( |  | ) -> | retval

## ◆ getNormalWinSize()

int cv::OdometrySettings::getNormalWinSize | ( |  | ) | const

Python:
| cv.OdometrySettings.getNormalWinSize( |  | ) -> | retval

## ◆ getSobelScale()

double cv::OdometrySettings::getSobelScale | ( |  | ) | const

Python:
| cv.OdometrySettings.getSobelScale( |  | ) -> | retval

## ◆ getSobelSize()

int cv::OdometrySettings::getSobelSize | ( |  | ) | const

Python:
| cv.OdometrySettings.getSobelSize( |  | ) -> | retval

## ◆ operator=()

OdometrySettings & cv::OdometrySettings::operator= | ( | const OdometrySettings & |  | ) |

## ◆ setAngleThreshold()

void cv::OdometrySettings::setAngleThreshold | ( | float | val | ) |

Python:
| cv.OdometrySettings.setAngleThreshold( | val | ) -> | None

## ◆ setCameraMatrix()

void cv::OdometrySettings::setCameraMatrix | ( | InputArray | val | ) |

Python:
| cv.OdometrySettings.setCameraMatrix( | val | ) -> | None

## ◆ setIterCounts()

void cv::OdometrySettings::setIterCounts | ( | InputArray | val | ) |

Python:
| cv.OdometrySettings.setIterCounts( | val | ) -> | None

## ◆ setMaxDepth()

void cv::OdometrySettings::setMaxDepth | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMaxDepth( | val | ) -> | None

## ◆ setMaxDepthDiff()

void cv::OdometrySettings::setMaxDepthDiff | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMaxDepthDiff( | val | ) -> | None

## ◆ setMaxPointsPart()

void cv::OdometrySettings::setMaxPointsPart | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMaxPointsPart( | val | ) -> | None

## ◆ setMaxRotation()

void cv::OdometrySettings::setMaxRotation | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMaxRotation( | val | ) -> | None

## ◆ setMaxTranslation()

void cv::OdometrySettings::setMaxTranslation | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMaxTranslation( | val | ) -> | None

## ◆ setMinDepth()

void cv::OdometrySettings::setMinDepth | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMinDepth( | val | ) -> | None

## ◆ setMinGradientMagnitude()

void cv::OdometrySettings::setMinGradientMagnitude | ( | float | val | ) |

Python:
| cv.OdometrySettings.setMinGradientMagnitude( | val | ) -> | None

## ◆ setMinGradientMagnitudes()

void cv::OdometrySettings::setMinGradientMagnitudes | ( | InputArray | val | ) |

Python:
| cv.OdometrySettings.setMinGradientMagnitudes( | val | ) -> | None

## ◆ setNormalDiffThreshold()

void cv::OdometrySettings::setNormalDiffThreshold | ( | float | val | ) |

Python:
| cv.OdometrySettings.setNormalDiffThreshold( | val | ) -> | None

## ◆ setNormalMethod()

void cv::OdometrySettings::setNormalMethod | ( | RgbdNormals::RgbdNormalsMethod | nm | ) |

Python:
| cv.OdometrySettings.setNormalMethod( | nm | ) -> | None

## ◆ setNormalWinSize()

void cv::OdometrySettings::setNormalWinSize | ( | int | val | ) |

Python:
| cv.OdometrySettings.setNormalWinSize( | val | ) -> | None

## ◆ setSobelScale()

void cv::OdometrySettings::setSobelScale | ( | double | val | ) |

Python:
| cv.OdometrySettings.setSobelScale( | val | ) -> | None

## ◆ setSobelSize()

void cv::OdometrySettings::setSobelSize | ( | int | val | ) |

Python:
| cv.OdometrySettings.setSobelSize( | val | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/3d/odometry_settings.hpp